unit About;

interface

uses Windows, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    ProgramIcon: TImage;
    ProductName: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    DateL: TLabel;
    BitBtn1: TBitBtn;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    Label4: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation
{$R *.DFM}
uses ShellAPI;

procedure TAboutBox.FormCreate(Sender: TObject);
begin
  ProgramIcon.Picture.Graphic := Application.Icon;
end;

procedure TAboutBox.SpeedButton2Click(Sender: TObject);
begin
  ShellExecute( 0, Nil, 'www.kochini.com', Nil, Nil, SW_NORMAL);
end;

procedure TAboutBox.SpeedButton1Click(Sender: TObject);
begin
  ShellExecute( 0, Nil, 'mailto:contact@kochini.com', Nil, Nil, SW_NORMAL);
end;

end.

